Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class CacheControlImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.CacheControlImpl

All Implemented Interfaces:
  javax.portlet.CacheControl

    public class CacheControlImpl

extends java.lang.Object
implements javax.portlet.CacheControl

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`CacheControlImpl(int expirationSecs, CacheScope cacheScope)`

Method Summary
`java.lang.String` | `getETag()`
`int` | `getExpirationTime()`
`boolean` | `isPublicScope()`
`void` | `setETag(java.lang.String etag)`
`void` | `setExpirationTime(int expirationTime)`
`void` | `setPublicScope(boolean publicScope)`
`void` | `setUseCachedContent(boolean useCachedContent)`
`boolean` | `useCachedContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheControlImpl

    public CacheControlImpl(int expirationSecs,
                            CacheScope cacheScope)

Method Detail

### getExpirationTime

    public int getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `javax.portlet.CacheControl`

### setExpirationTime

    public void setExpirationTime(int expirationTime)

  Specified by:
    `setExpirationTime` in interface `javax.portlet.CacheControl`

### isPublicScope

    public boolean isPublicScope()

  Specified by:
    `isPublicScope` in interface `javax.portlet.CacheControl`

### setPublicScope

    public void setPublicScope(boolean publicScope)

  Specified by:
    `setPublicScope` in interface `javax.portlet.CacheControl`

### getETag

    public java.lang.String getETag()

  Specified by:
    `getETag` in interface `javax.portlet.CacheControl`

### setETag

    public void setETag(java.lang.String etag)

  Specified by:
    `setETag` in interface `javax.portlet.CacheControl`

### useCachedContent

    public boolean useCachedContent()

  Specified by:
    `useCachedContent` in interface `javax.portlet.CacheControl`

### setUseCachedContent

    public void setUseCachedContent(boolean useCachedContent)

  Specified by:
    `setUseCachedContent` in interface `javax.portlet.CacheControl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.